mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
splt_struct Struct Reference

`#include <mp3splt.h>`

Collaboration diagram for splt_struct:
[legend]

## Data Fields

int | current_split
int | current_split_file_number
void(* | file_split )(const char *, int)
void(* | get_silence_level )(long time, float level, void *user_data)
splt_progress * | p_bar
splt_point * | points
void(* | put_message )(const char *, splt_message_type)
int | real_splitnumber
int | real_tagsnumber
void * | silence_level_client_data
int | splitnumber
splt_tags * | tags
splt_tags | tags_like_x
long | total_time

## Detailed Description

The data libmp3splt keeps all its internal data in.

Definition at line 369 of file mp3splt.h.

## Field Documentation

int splt_struct::current_split

When splitting: the number of the last splitpoint we arrived at.

Definition at line 373 of file mp3splt.h.

int splt_struct::current_split_file_number

for user feedback: the number of the file we are splitting

Definition at line 375 of file mp3splt.h.

void(* splt_struct::file_split)(const char *, int)

Pointer to the fallback function that is called when the library starts to split a new file.

the char* is the filename that is currently being split.

Definition at line 393 of file mp3splt.h.

void(* splt_struct::get_silence_level)(long time, float level, void *user_data)

callback for sending the silence level to the client

Definition at line 397 of file mp3splt.h.

splt_progress* splt_struct::p_bar

All infos for the progress bar.

Definition at line 395 of file mp3splt.h.

splt_point* splt_struct::points

structure in which we have all the splitpoints

Definition at line 403 of file mp3splt.h.

void(* splt_struct::put_message)(const char *, splt_message_type)

sends a message to the main program to tell what we are doing

Definition at line 401 of file mp3splt.h.

int splt_struct::real_splitnumber

how many splitpoints do we have?

Definition at line 385 of file mp3splt.h.

int splt_struct::real_tagsnumber

how many tags do we have?

Definition at line 405 of file mp3splt.h.

void* splt_struct::silence_level_client_data

user data set by the client for the 'get_silence_level' function

Definition at line 399 of file mp3splt.h.

int splt_struct::splitnumber

how many split points do we have?

this is updated only by check_splitpts_inf_song_length() If this function has not been called look at real_splitnumber instead.

Definition at line 383 of file mp3splt.h.

splt_tags* splt_struct::tags

structure in which we have all the tags

Definition at line 407 of file mp3splt.h.

long splt_struct::total_time

total time of the song

Definition at line 371 of file mp3splt.h.

The documentation for this struct was generated from the following file:

- mp3splt.h